> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Update organization provider

PATCH https://api.taigabilling.com/api/organization-providers/v3/{organization_provider_id}
Content-Type: application/json

Reference: https://docs.taigabilling.com/api-reference/organization-providers-v-3/organization-providers-v-3-update

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Path parameters

- `organization_provider_id` (string, required)

### Body (application/json)

This endpoint expects an organization-providersv3OrganizationProviderUpdateV2.

- `npi` (string, optional, nullable) — The NPI of the provider. This must be all digits [0-9] and exactly 10 characters long.
- `is_rendering` (boolean, optional, nullable) — Whether the provider can be used to render services.
- `is_billing` (boolean, optional, nullable) — Whether the provider can be used to bill services.
- `first_name` (string, optional, nullable) — The first name of the provider, if the provider is an individual.
- `last_name` (string, optional, nullable) — The last name of the provider, if the provider is an individual.
- `organization_name` (string, optional, nullable) — The name of the provider, if the provider is an organization.
- `provider_type` (enum, optional, nullable) — Whether the provider is an individual (NPPES Type 1) or organization (NPPES Type 2) provider.
  - Allowed values: `INDIVIDUAL`, `ORGANIZATION`
- `tax_id` (string, optional, nullable) — If the provider has a contract with insurance, this must be the same tax ID given to the payer on an IRS W-9 form completed during contracting.
- `taxonomy_code` (string, optional, nullable) — A code designating classification and specialization.
- `license_type` (enum, optional, nullable) — The type of license that the provider holds.
  - Allowed values: `MD`, `NP`, `PA`, `LMFT`, `LCPC`, `LCSW`, `PMHNP`, `FNP`, `LPCC`, `DO`, `RD`, `SLP`, `APRN`, `LPC`, `PHD`, `PSYD`, `LMSW`, `LMHC`, `OTHER_MASTERS`, `BCBA`, `UNKNOWN`, `RPH`, `PHT`, `LAC`, `LMT`, `DC`, `ND`, `MA`, `PT`, `IBCLC`, `RN`, `DPT`, `LCMHC`, `CNM`, `RNFA`, `ACSW`, `APC`, `BCABA`, `BHA`, `OD`, `DPM`, `DA`, `DDS`, `DEH`, `DMD`, `PTA`, `LCADC`, `LCAT`, `LCMHCS`, `LCMHCA`, `LCSWA`, `LICSW`, `LISW`, `LMFTS`, `LMFTA`, `LPCI`, `LSCSW`, `MHCA`, `MHT`, `RBT`, `RCSWI`, `RHMCI`, `LPN`, `OTD`, `OMS`, `MFTA`, `APCC`, `DNP`, `AGNPBC`, `ANP`, `FNPPP`, `LCSWR`, `ALC`, `RMFTI`, `LAMFT`, `LPCA`, `LSWI`, `CSW`, `CPC`, `LGMFT`, `LLPC`, `PLPC`, `PLMFT`, `LMHCA`, `CIT`, `CT`, `MFT`, `LSW`, `PLMHP`, `PCMSW`, `LMHP`, `OTR/L`, `RPA`, `COTA`, `CRNP`, `SLP-CF`, `NP-C`, `PA-C`, `AMFT`, `CDN`, `CGC`, `CNS`, `MDPHD`, `AuD`, `ATC`, `LAT`, `OTA`, `LSSP`, `SLPA`, `EdD`, `SWT`, `IMFT`
- `addresses` (list of organization-providersv2OrganizationProviderAddress, optional, nullable) — The addresses associated with this provider.
- `employment_start_date` (string, optional, nullable) — The employment start date for the provider.
- `employment_termination_date` (string, optional, nullable) — The employment termination date for the provider.
- `qualifications` (list of UpdatableIdentifier, optional, nullable) — Provider's qualifications (medicare provider number, medicaid provider number, etc.)

## Response

### 200

- `npi` (string, required) — The NPI of the provider. This must be all digits [0-9] and exactly 10 characters long.
- `is_rendering` (boolean, required) — Whether the provider can be used to render services.
- `is_billing` (boolean, required) — Whether the provider can be used to bill services.
- `provider_type` (enum, required) — Whether the provider is an individual (NPPES Type 1) or organization (NPPES Type 2) provider.
  - Allowed values: `INDIVIDUAL`, `ORGANIZATION`
- `license_type` (enum, required) — The type of license that the provider holds.
  - Allowed values: `MD`, `NP`, `PA`, `LMFT`, `LCPC`, `LCSW`, `PMHNP`, `FNP`, `LPCC`, `DO`, `RD`, `SLP`, `APRN`, `LPC`, `PHD`, `PSYD`, `LMSW`, `LMHC`, `OTHER_MASTERS`, `BCBA`, `UNKNOWN`, `RPH`, `PHT`, `LAC`, `LMT`, `DC`, `ND`, `MA`, `PT`, `IBCLC`, `RN`, `DPT`, `LCMHC`, `CNM`, `RNFA`, `ACSW`, `APC`, `BCABA`, `BHA`, `OD`, `DPM`, `DA`, `DDS`, `DEH`, `DMD`, `PTA`, `LCADC`, `LCAT`, `LCMHCS`, `LCMHCA`, `LCSWA`, `LICSW`, `LISW`, `LMFTS`, `LMFTA`, `LPCI`, `LSCSW`, `MHCA`, `MHT`, `RBT`, `RCSWI`, `RHMCI`, `LPN`, `OTD`, `OMS`, `MFTA`, `APCC`, `DNP`, `AGNPBC`, `ANP`, `FNPPP`, `LCSWR`, `ALC`, `RMFTI`, `LAMFT`, `LPCA`, `LSWI`, `CSW`, `CPC`, `LGMFT`, `LLPC`, `PLPC`, `PLMFT`, `LMHCA`, `CIT`, `CT`, `MFT`, `LSW`, `PLMHP`, `PCMSW`, `LMHP`, `OTR/L`, `RPA`, `COTA`, `CRNP`, `SLP-CF`, `NP-C`, `PA-C`, `AMFT`, `CDN`, `CGC`, `CNS`, `MDPHD`, `AuD`, `ATC`, `LAT`, `OTA`, `LSSP`, `SLPA`, `EdD`, `SWT`, `IMFT`
- `organization_provider_id` (string, required) — Auto-generated ID set on creation.
- `qualifications` (list of Identifier, required) — Qualification given to a provider (PTAN, Medicaid Provider Id etc.).
- `first_name` (string, optional, nullable) — The first name of the provider, if the provider is an individual.
- `last_name` (string, optional, nullable) — The last name of the provider, if the provider is an individual.
- `organization_name` (string, optional, nullable) — The name of the provider, if the provider is an organization.
- `tax_id` (string, optional, nullable) — If the provider has a contract with insurance, this must be the same tax ID given to the payer on an IRS W-9 form completed during contracting.
- `taxonomy_code` (string, optional, nullable) — A code designating classification and specialization.
- `addresses` (list of organization-providersv2OrganizationProviderAddress, optional, nullable) — The addresses associated with this provider.
- `employment_start_date` (date, optional, nullable) — The employment start date for the provider.
- `employment_termination_date` (date, optional, nullable) — The employment termination date for the provider.

## Errors

### 404 Not Found Error

- `OrganizationProviders_v3_updateRequestNotFoundError`
  - OrganizationProvidersV3UpdateRequestNotFoundError0

### 422 Unprocessable Entity Error

- `OrganizationProviders_v3_updateRequestUnprocessableEntityError`
  - OrganizationProvidersV3UpdateRequestUnprocessableEntityError0
  - OrganizationProvidersV3UpdateRequestUnprocessableEntityError1

## Types

### organization-providersv2OrganizationProviderAddress

- `address` (StreetAddressLongZip, required) — The address of the provider
- `address_type` (enum, required) — The address type of the provider
  - Allowed values: `DEFAULT`

### UpdatableIdentifier

- UpdatableIdentifier0
- UpdatableIdentifier1
- UpdatableIdentifier2

### Identifier

- `identifier_code` (enum, required)
  - Allowed values: `MCR`, `MCD`
- `identifier_id` (string, required)
- `identifier_value` (IdentifierValue, required)
- `period` (DateRangeOptionalEnd, optional, nullable)

### OrganizationProvidersV3UpdateRequestNotFoundError0

- `errorName` (enum, optional)
  - Allowed values: `HttpRequestValidationError`
- `content` (EntityNotFoundErrorMessage, optional)

### OrganizationProvidersV3UpdateRequestUnprocessableEntityError0

- `errorName` (enum, optional)
  - Allowed values: `HttpRequestValidationError`
- `content` (RequestValidationError, optional)

### OrganizationProvidersV3UpdateRequestUnprocessableEntityError1

- `errorName` (enum, optional)
  - Allowed values: `UpdatesDisabledDueToExternalSystemIntegrationError`
- `content` (UpdatesDisabledDueToExternalSystemIntegrationErrorMessage, optional)

### StreetAddressLongZip

- `address1` (string, required)
- `city` (string, required)
- `state` (enum, required)
  - Allowed values: `AA`, `AE`, `AP`, `AL`, `AK`, `AS`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MH`, `MI`, `MN`, `MP`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `PR`, `PW`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VI`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`, `FC`
- `zip_code` (string, required) — 5-digit zip code
- `zip_plus_four_code` (string, required) — 4-digit zip add-on code https://en.wikipedia.org/wiki/ZIP_Code#ZIP+4
- `address2` (string, optional, nullable)

### UpdatableIdentifier0

- `identifier_code` (enum, required)
  - Allowed values: `MCR`, `MCD`
- `identifier_value` (IdentifierValue, required)
- `type` (enum, required)
  - Allowed values: `add`
- `period` (DateRangeOptionalEnd, optional, nullable)

### UpdatableIdentifier1

- `identifier_id` (string, required)
- `type` (enum, required)
  - Allowed values: `update`
- `identifier_code` (enum, optional, nullable)
  - Allowed values: `MCR`, `MCD`
- `identifier_value` (IdentifierValue, optional, nullable)
- `period` (RemovableDateRangeOptionalEnd, optional, nullable)

### UpdatableIdentifier2

- `type` (enum, required)
  - Allowed values: `remove`
- `value` (string, optional)

### IdentifierValue

- IdentifierValue0
- IdentifierValue1

### DateRangeOptionalEnd

- `start_date` (string, required) — ISO 8601 date; formatted YYYY-MM-DD (i.e. 2012-02-01)
- `end_date` (string, optional, nullable) — ISO 8601 date; formatted YYYY-MM-DD (i.e. 2012-02-01)

### EntityNotFoundErrorMessage

- `id` (string, required)

### RequestValidationError

- `fieldName` (string, required)
- `humanReadableMessage` (string, optional, nullable)

### UpdatesDisabledDueToExternalSystemIntegrationErrorMessage

- `message` (string, optional, nullable)

### RemovableDateRangeOptionalEnd

- RemovableDateRangeOptionalEnd0
- RemovableDateRangeOptionalEnd1

### IdentifierValue0

- `provider_number` (string, required)
- `state` (enum, required)
  - Allowed values: `AA`, `AE`, `AP`, `AL`, `AK`, `AS`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MH`, `MI`, `MN`, `MP`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `PR`, `PW`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VI`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`, `FC`
- `type` (enum, required)
  - Allowed values: `medicare_provider_identifier`
- `organization_service_facility_id` (string, optional, nullable) — When set, this identifier applies only to the given service facility.

### IdentifierValue1

- `provider_number` (string, required)
- `state` (enum, required)
  - Allowed values: `AA`, `AE`, `AP`, `AL`, `AK`, `AS`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MH`, `MI`, `MN`, `MP`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `PR`, `PW`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VI`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`, `FC`
- `type` (enum, required)
  - Allowed values: `medicaid_provider_identifier`
- `organization_service_facility_id` (string, optional, nullable) — When set, this identifier applies only to the given service facility.

### RemovableDateRangeOptionalEnd0

- `start_date` (string, required) — ISO 8601 date; formatted YYYY-MM-DD (i.e. 2012-02-01)
- `type` (enum, required)
  - Allowed values: `date_range`
- `end_date` (string, optional, nullable) — ISO 8601 date; formatted YYYY-MM-DD (i.e. 2012-02-01)

### RemovableDateRangeOptionalEnd1

- `type` (enum, required)
  - Allowed values: `remove`

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "npi": "1234567890",
  "is_rendering": true,
  "is_billing": true,
  "provider_type": "INDIVIDUAL",
  "license_type": "MD",
  "organization_provider_id": "string",
  "qualifications": [
    {
      "identifier_code": "MCR",
      "identifier_id": "string",
      "identifier_value": {
        "organization_service_facility_id": "string",
        "provider_number": "string",
        "state": "AA",
        "type": "medicare_provider_identifier"
      },
      "period": {
        "start_date": "string",
        "end_date": "string"
      }
    }
  ],
  "first_name": "string",
  "last_name": "string",
  "organization_name": "string",
  "tax_id": "string",
  "taxonomy_code": "string",
  "addresses": [
    {
      "address": {
        "address1": "string",
        "city": "string",
        "state": "AA",
        "zip_code": "string",
        "zip_plus_four_code": "1234",
        "address2": "string"
      },
      "address_type": "DEFAULT"
    }
  ],
  "employment_start_date": "2023-01-15",
  "employment_termination_date": "2023-01-15"
}
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/api/organization-providers/v3/organization_provider_id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```